// more exceptions

class Main {
    static public void main(String[] args) /*throws Exception*/ {
	try {
	    C o;
	    if (true || false) {
		o = null;
	    }
	    else {
		o = new C();
	    }

	    if (true || false) throw new ClassCastException(); // throw site 1
	    if (true || false) throw new RuntimeException(); // throw site 2
	    throw new NullPointerException(); // throw site 3
		
	}
	catch (NullPointerException e) {
	    // e should point to throw site 3
	}
	catch (RuntimeException f) {
	    // f should point to throw sites 1 and 2
	}
	
    }
}

class C {
    void m() {
    }

}